Load Balancer

Add Target

post/loadbalancer/{lb_uuid}/listeners/{listener_uuid}/targets

Add a target to a listener.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

lb_uuid*string
listener_uuid*string

Request body

Add a target to a listener

application/jsonRequired
target_type*LBTargetType
Value in"vps""baremetal""availability_group"
target_uuid*string

UUID of VPS, Baremetal ID, or Availability Group UUID

port?integer | null

Override target port

Range1 ≤ value ≤ 65535
weight?integer | null

Target weight

Range1 ≤ value ≤ 100Default100
enabled?boolean | null
Defaulttrue

Responses

Successful Response

application/json

uuid*string
target_type*string
target_uuid*string
target_name?string | null
target_ip?string | null
detail*string